<template>
  <v-menu bottom right offset-y>
    <template #activator="{ on }">
      <v-btn dark icon v-on="on">
        <v-icon>fal fa-caret-down</v-icon>
      </v-btn>
    </template>

    <v-list dense>
      <v-list-item-group>
        <v-list-item @click="logout">
          <v-list-item-content>
            <v-list-item-title>Cerrar sesión</v-list-item-title>
          </v-list-item-content>
          <v-list-item-icon>
            <v-icon>fal fa-sign-out</v-icon>
          </v-list-item-icon>
        </v-list-item>
        <v-list-item>
          <v-list-item-content>
            <v-list-item-title>
              <v-switch
                label="Toggle dark them"
                @change="toggleDarkTheme()"
              />
            </v-list-item-title>
          </v-list-item-content>
          <v-list-item-icon>
            <v-icon>fal fa-sign-out</v-icon>
          </v-list-item-icon>
        </v-list-item>
      </v-list-item-group>
    </v-list>
  </v-menu>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import { AuthStore } from '~/store/AuthStore'

    @Component
export default class AppUserMenu extends Vue {
  logout () {
    this.$router.push('/login')
    AuthStore.logout()
  }

  toggleDarkTheme () {
    this.$vuetify.theme.dark = !this.$vuetify.theme.dark
    console.log(this.$vuetify.theme.dark)
  };
}
</script>

<style lang="scss">

</style>
